[lapack] 03/06: Add autopkgtest for BLAS routines.

Sébastien Villemot sebastien at debian.org
Sat Jan 2 22:17:05 UTC 2016


This is an automated email from the git hooks/post-receive script.

sebastien pushed a commit to branch master
in repository lapack.

commit afa16f821a06440bbc1edd8cbef91a074f9027ad
Author: Sébastien Villemot <sebastien at debian.org>
Date:   Fri Jan 1 23:20:10 2016 +0100

    Add autopkgtest for BLAS routines.
---
 debian/tests/blas    | 30 ++++++++++++++++++++++++++++++
 debian/tests/control |  3 +++
 2 files changed, 33 insertions(+)

diff --git a/debian/tests/blas b/debian/tests/blas
new file mode 100755
index 0000000..1a2f66e
--- /dev/null
+++ b/debian/tests/blas
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+set -e
+
+# Enforce the BLAS contained in package libblas3
+LD_LIBRARY_PATH=/usr/lib/libblas
+
+PATH=/usr/lib/libblas:$PATH
+
+DATADIR=/usr/lib/libblas
+
+cd $ADTTMP
+
+# Test Fortran BLAS
+for p in s d c z
+do
+    xblat1${p} > ${p}blat1.out
+    xblat2${p} < $DATADIR/${p}blat2.in
+    xblat3${p} < $DATADIR/${p}blat3.in
+done
+
+# Test CBLAS
+for p in s d c z
+do
+    x${p}cblat1 > ${p}test1.out
+    x${p}cblat2 < $DATADIR/${p}in2 > ${p}test2.out
+    x${p}cblat3 < $DATADIR/${p}in3 > ${p}test3.out
+done
+
+! grep -q -i fail *.out
diff --git a/debian/tests/control b/debian/tests/control
index ed3059f..a1726b8 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -3,3 +3,6 @@ Depends: liblapack-dev, gfortran
 
 Tests: xerbla-c
 Depends: liblapacke-dev, build-essential
+
+Tests: blas
+Depends: libblas3, libblas-test

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/lapack.git



More information about the debian-science-commits mailing list